libgeglmm: Gegl::Path Class Reference

libgeglmm

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gegl::Path Class Reference
Inheritance diagram for Gegl::Path:
[legend]

List of all members.

## Public Member Functions
void | calc (double pos, double& dest_x, double& dest_y)
void | calc_values (guint num_samples, double& dest_xs, double& dest_ys)
void | clear ()
double | closest_point (double x, double y, double& dx, double& dy, int& node_post_befor)
void | freeze ()
void | get_bounds (double& min_x, double& max_x, double& min_y, double& max_y)
double | get_length ()
void | get_matrix (GeglMatrix3 matrix)
int | get_n_nodes ()
bool | get_node (int index, PathItem& p2)
GeglPath* | gobj ()
| Provides access to the underlying C GObject.
const GeglPath* | gobj () const
| Provides access to the underlying C GObject.
GeglPath* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | insert_node (int pos, const GeglPathItem* knot)
bool | is_empty ()
void | parse_string (const Glib::ustring& path_string)
void | remove_node (int pos)
void | replace_node (int pos, const GeglPathItem* knot)
void | set_matrix (GeglMatrix3 matrix)
Glib::SignalProxy1< void, gpointer > | signal_changed ()
void | thaw ()
Glib::ustring | to_string ()
virtual | ~Path ()
## Static Public Member Functions
static Glib::RefPtr< Path > | create ()
## Protected Member Functions
| Path ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gegl::Path > | wrap (GeglPath* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gegl::Path::~Path | ( |  | ) | `[virtual]`

Gegl::Path::Path | ( |  | ) | `[protected]`

## Member Function Documentation

void Gegl::Path::calc | ( | double | pos,
|  | double & | dest_x,
|  | double & | dest_y
| ) |  |

void Gegl::Path::calc_values | ( | guint | num_samples,
|  | double & | dest_xs,
|  | double & | dest_ys
| ) |  |

void Gegl::Path::clear | ( |  | ) |

double Gegl::Path::closest_point | ( | double | x,
|  | double | y,
|  | double & | dx,
|  | double & | dy,
|  | int & | node_post_befor
| ) |  |

static Glib::RefPtr<Path> Gegl::Path::create | ( |  | ) | `[static]`

void Gegl::Path::freeze | ( |  | ) |

void Gegl::Path::get_bounds | ( | double & | min_x,
|  | double & | max_x,
|  | double & | min_y,
|  | double & | max_y
| ) |  |

double Gegl::Path::get_length | ( |  | ) |

void Gegl::Path::get_matrix | ( | GeglMatrix3 | matrix | ) |

int Gegl::Path::get_n_nodes | ( |  | ) |

bool Gegl::Path::get_node | ( | int | index,
|  | PathItem& | p2
| ) |  |

GeglPath* Gegl::Path::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

const GeglPath* Gegl::Path::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GeglPath* Gegl::Path::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gegl::Path::insert_node | ( | int | pos,
|  | const GeglPathItem * | knot
| ) |  |

bool Gegl::Path::is_empty | ( |  | ) |

void Gegl::Path::parse_string | ( | const Glib::ustring & | path_string | ) |

void Gegl::Path::remove_node | ( | int | pos | ) |

void Gegl::Path::replace_node | ( | int | pos,
|  | const GeglPathItem * | knot
| ) |  |

void Gegl::Path::set_matrix | ( | GeglMatrix3 | matrix | ) |

Glib::SignalProxy1< void,gpointer > Gegl::Path::signal_changed | ( |  | ) |

Prototype:
  `void on_my_changed(gpointer p0)`

void Gegl::Path::thaw | ( |  | ) |

Glib::ustring Gegl::Path::to_string | ( |  | ) |

## Friends And Related Function Documentation

Glib::RefPtr< Gegl::Path > wrap | ( | GeglPath * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- path.h